> For the complete documentation index, see [llms.txt](https://docs.wem.io/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wem.io/platform/wemreference/functions/concepts/intersection.md).

# Intersection

{% hint style="info" %}
The **`Intersection()`** function produces a concept set that contains the concepts that a part of all given concept sets in the parameters.

[*Read general information about Concepts and Ontology*](/platform/wemmodeler/concepts-and-concept-queries/concepts.md)

This function is NOT SQL compatible. For more information about SQL compatibility, see our [documentation](/platform/wemreference/sql-compatibility.md).
{% endhint %}

{% hint style="success" %}
Returns a concept set with the concepts that occur in each concept set provided in the parameter list.

An <mark style="color:red;">unknownconceptset</mark> value is returned if any of the conceptsets in the list is unknown, or if there is no concept available in all sets in the parameterlist.
{% endhint %}

### Syntax

<details>

<summary><code>Intersection( List(</code><mark style="color:blue;"><code>concept_set_1, concept_set_2, ...</code></mark><code>) )</code></summary>

`Intersection( List([AllColors], 'Color'.'Purple') )`\
\=>*Result: { Purple } (as a conceptset with one concept)*

`Intersection( List( [AllColors], {'Color'.'Amber', 'Color'.'Teal'}) )`\
\=>*Result: { Amber, Teal }*

`Intersection( List( [AllColors], [EMEA-Regions]) )`\
\=>*Result: unknownconceptset*

`Intersection( List(unknownconceptset, [AllColors]) )`\
\=>*Result: unknownconceptset*

</details>

### Parameters

<table><thead><tr><th width="193.2224596298586">Name</th><th width="150">Type</th><th width="150" align="center">Required</th><th width="248.15953250810662">Description</th><th data-hidden>Required?</th></tr></thead><tbody><tr><td><mark style="color:blue;"><code>concept_set_x</code></mark></td><td>list of concepts</td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2611">☑️</span></td><td>2 or more sets of concepts (or a single concept) combined with the List() function as parameterlist.</td><td>yes</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wem.io/platform/wemreference/functions/concepts/intersection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
